Is it necessary to run the beta with High Sierra only?


#1

Just received my invatation to test OmniFocus 3 for Mac. Disappointed I need to update to High Sierra. Still very skeptical about the updating and hope Omnifocus will operate on Sierra when it arrives.


#2

OmniFocus 3.0 will require High Sierra or later. See this post for more background: